package com.bocloud.cop.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;

/**
 * 角色-命令
 */
@Table("role_command")
public class RoleCommand extends Generic {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("role_id")
    private Long roloId; // 角色的ID
    @Column("command_id")
    private Long commandId; // 命令ID

    public RoleCommand() {

    }

    public RoleCommand(Long roloId, Long commandId) {
        this.roloId = roloId;
        this.commandId = commandId;
    }

    /**
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id
     *            the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return the roloId
     */
    public Long getRoloId() {
        return roloId;
    }

    /**
     * @param roloId
     *            the roloId to set
     */
    public void setRoloId(Long roloId) {
        this.roloId = roloId;
    }

    /**
     * @return the commandId
     */
    public Long getCommandId() {
        return commandId;
    }

    /**
     * @param commandId
     *            the commandId to set
     */
    public void setCommandId(Long commandId) {
        this.commandId = commandId;
    }

}
