package com.bocloud.cop.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;

/**
 * 脚本版本类
 * 
 * @author wangshuai
 * @since 2011.01.11
 * 
 */
@Table("script_version")
public class ScriptVersion extends GenericEntity {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("script_id")
    private Long scriptId;
    @Column("version")
    private String version;
    @Column("content_id")
    private Long contentId;
    @IgnoreAll
    private String creator;
    @IgnoreAll
    private String mender;

    /**
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id
     *            the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return the scriptId
     */
    public Long getScriptId() {
        return scriptId;
    }

    /**
     * @param scriptId
     *            the scriptId to set
     */
    public void setScriptId(Long scriptId) {
        this.scriptId = scriptId;
    }

    /**
     * @return the version
     */
    public String getVersion() {
        return version;
    }

    /**
     * @param version
     *            the version to set
     */
    public void setVersion(String version) {
        this.version = version;
    }

    /**
     * @return the contentId
     */
    public Long getContentId() {
        return contentId;
    }

    /**
     * @param contentId
     *            the contentId to set
     */
    public void setContentId(Long contentId) {
        this.contentId = contentId;
    }

    /**
     * @return the creator
     */
    public String getCreator() {
        return creator;
    }

    /**
     * @param creator
     *            the creator to set
     */
    public void setCreator(String creator) {
        this.creator = creator;
    }

    /**
     * @return the mender
     */
    public String getMender() {
        return mender;
    }

    /**
     * @param mender
     *            the mender to set
     */
    public void setMender(String mender) {
        this.mender = mender;
    }

}
