package com.bocloud.cop.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author huliwei
 * @date 2023/4/21
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Table("task_instance_host_bak")
public class TaskInstanceHostBak extends Generic {
    @PK(value = PKStrategy.SELF)
    private Long id; // ID
    @Column(value = "host",length = 32,nullable = false)
    private String host;
    @Column(value = "instance_id",nullable = false)
    private Long instanceId;
    /**
     * 任务执行引擎
     */
    @Column(value = "execute_host",length = 32)
    private String executeHost;

    /**
     * 任务执行worker
     */
    @Column(value = "execute_worker",length = 32)
    private String executeWorker;

    @Column("node_id")
    private Long nodeId;

    @Column(value = "node_name",length = 256)
    private String nodeName;

}
