package com.bocloud.cop.model.inspection;

import org.apache.commons.lang3.StringUtils;

/**
 * 用于存储某个资源关于某个巡检项的巡检结果
 */
public class ScriptLogEntity {
    private Long itemId;
    private Long resourceId;
    private String content;

    public Long getItemId() {
        return itemId;
    }

    public Long getResourceId() {
        return resourceId;
    }

    public String getContent() {
        return content;
    }

    public ScriptLogEntity(String itemId, String resourceId, String content) {
        if (!StringUtils.isEmpty(itemId)) {
            this.itemId = Long.parseLong(itemId);
        }
        if (!StringUtils.isEmpty(resourceId)) {
            this.resourceId = Long.parseLong(resourceId);
        }
        this.content = content;
    }

}
