package com.bocloud.cop.model.params;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;

import java.util.List;

@Data
public class ScriptTaskParams {
    private Long scriptId;// 脚本信息id
    private String script;// 脚本信息
    private String type;// 脚本类型（SHELL/PYTHON/BAT）目标主机类型（Windows/linux）
    private String userNo;
    private String executeUser;
    private List<JSONObject> params;
    private List<JSONObject> targets;// 目标机器信息
    private String taskType;// 任务类型
    private String template;
    private String taskAlias;// 任务别名
    private List<TaskArgs> args;// 任务节点信息（node）
    private Integer timeout;// 超时时间
    private Integer priority; // 权重
    private String platform; // 所属平台
    private String param; // 脚本执行命令参数
    // 执行多个脚本（scriptId、script、type,ftpIp）-安全组件自动化脚本安装
    private List<JSONObject> scripts;// 脚本信息
    private Boolean async;// 脚本执行是否异步
    private boolean untreate;//是否延迟执行
    private String executeType;// Remote
    private String authenMode;//认证方式 SINGLE
    private String becomeUser;//提权用户
    private String becomePass;//提权密码

}
