package com.bocloud.cop.model.params;

import com.bocloud.cop.model.WorkerHost;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;
import java.util.Map;

public class ServerServiceManageParams {

    private List<WorkerHost> targets;

    private String serviceName;

    private String operate;

    private String args;

    private Boolean enabled;

    private Map<String,Object> options;

    @JsonProperty("start_mode")
    private String startMode;

    public List<WorkerHost> getTargets() {
        return targets;
    }

    public void setTargets(List<WorkerHost> targets) {
        this.targets = targets;
    }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public String getOperate() {
        return operate;
    }

    public void setOperate(String operate) {
        this.operate = operate;
    }

    public String getArgs() {
        return args;
    }

    public void setArgs(String args) {
        this.args = args;
    }

    public Boolean getEnabled() {
        return enabled;
    }

    public void setEnabled(Boolean enabled) {
        this.enabled = enabled;
    }

    public Map<String, Object> getOptions() {
        return options;
    }

    public void setOptions(Map<String,Object> options) {
        this.options = options;
    }

    public String getStartMode() {
        return startMode;
    }

    public void setStartMode(String startMode) {
        this.startMode = startMode;
    }
}
