package com.bocloud.cop.intf.compare;


import com.bocloud.cop.entity.compare.StandardDocument;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import org.springframework.web.multipart.MultipartFile;

/**
 * @Author liuyuanyuan
 * @Date 2022-10-292 13:46:31
 * @Description:
 */
public interface StandardDocumentService {

    GeneralResult<GridBean<StandardDocument>> list(Pager pager);

    GeneralResult<Void> save(Long versionId, String remark, MultipartFile file, RequestContext context);

    GeneralResult<Void> modify(StandardDocument param, RequestContext context);

    GeneralResult<StandardDocument> detail(Long id);

    GeneralResult<Void> remove(Long id, Long target);
}