package com.bocloud.cop.intf.inspection;

import java.util.List;

import com.bocloud.cop.entity.inspection.Inspect;
import com.bocloud.cop.model.OperationParam;
import com.bocloud.cop.model.StatResult;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

public interface InspectRoutineService {

    GeneralResult<Inspect> get(Long id);

    GeneralResult<Inspect> save(Inspect routine, Long userId);

    GeneralResult<Inspect> update(Inspect routine, Long userId);

    GeneralResult<Void> delete(Long id, Long userId);

    GeneralResult<Void> release(Long id, Long userId);

    GeneralResult<Void> recall(Long id, Long userId);

    GeneralResult<GridBean<Inspect>> list(Pager pager, Long userId);

    ExecuteTaskService.RunData getRunData(Inspect inspect, String name);

    GeneralResult<Void> routineRun(Long id, String action, OperationParam param, RequestContext context);

    GeneralResult<List<StatResult>> statsNum(RequestContext context, String type);

    GeneralResult<Void> execute(ExecuteTaskService.RunData data, Long userId, String keyStamp);

}
