package com.bocloud.cop.intf.network;

import com.bocloud.cop.entity.NetworkSegment;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;

/**
 * Worker Segment
 */
public interface NetworkSegmentService {

    GeneralResult<GridBean<NetworkSegment>> list(Pager pager);

    GeneralResult<Void> create(NetworkSegment segment);

    GeneralResult<NetworkSegment> detail(Long id);

    GeneralResult<Void> remove(Long id, Long userId);

    GeneralResult<Void> modify(NetworkSegment segment);

    GeneralResult<Integer> getHostConut(Long id);
}
