package com.bocloud.cop.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.Ignore;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.Data;

/**
 * 任务节点日志表
 * 
 * @author weiwei
 */
@Data
@Table("task_node_log")
public class TaskNodeLog extends Generic {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("node_id")
    private Long nodeId;
    @Column("instance_id")
    private Long instanceId;
    @Column("content")
    private String content;
    @Column("priority")
    private Integer priority;
    @Column("node_uuid")
    private String nodeUuid;
    @Ignore
    private boolean last;

}
