package com.bocloud.cop.entity.backup;


import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author huliwei
 * @date 2022/10/19
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Table("task_backup_scene")
public class TaskBackupScene extends GenericEntity {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("code")
    private String code;
    /**
     * 配置场景：backup
     */
    @Column("type")
    private String type;
    @Column("path")
    private String path;
    @IgnoreAll
    private String numbers;
}
