package com.bocloud.cop.model;

public class NodeControl {

    private boolean suspensible;
    private boolean skippable;
    private boolean failover;
    private int retryTime;
    private int intervals;
    private int timeout;
    private String suspendMsg;

    /**
     * @return the suspensible
     */
    public boolean isSuspensible() {
        return suspensible;
    }

    /**
     * @param suspensible
     *            the suspensible to set
     */
    public void setSuspensible(boolean suspensible) {
        this.suspensible = suspensible;
    }

    /**
     * @return the skippable
     */
    public boolean isSkippable() {
        return skippable;
    }

    /**
     * @param skippable
     *            the skippable to set
     */
    public void setSkippable(boolean skippable) {
        this.skippable = skippable;
    }

    /**
     * @return the failover
     */
    public boolean isFailover() {
        return failover;
    }

    /**
     * @param failover
     *            the failover to set
     */
    public void setFailover(boolean failover) {
        this.failover = failover;
    }

    /**
     * @return the retryTime
     */
    public int getRetryTime() {
        return retryTime;
    }

    /**
     * @param retryTime
     *            the retryTime to set
     */
    public void setRetryTime(int retryTime) {
        this.retryTime = retryTime;
    }

    /**
     * @return the intervals
     */
    public int getIntervals() {
        return intervals;
    }

    /**
     * @param intervals
     *            the intervals to set
     */
    public void setIntervals(int intervals) {
        this.intervals = intervals;
    }

    /**
     * @return the timeout
     */
    public int getTimeout() {
        return timeout;
    }

    /**
     * @param timeout
     *            the timeout to set
     */
    public void setTimeout(int timeout) {
        this.timeout = timeout;
    }

    /**
     * @return the suspendMsg
     */
    public String getSuspendMsg() {
        return suspendMsg;
    }

    /**
     * @param suspendMsg
     *            the suspendMsg to set
     */
    public void setSuspendMsg(String suspendMsg) {
        this.suspendMsg = suspendMsg;
    }

    public NodeControl() {
        super();
    }

    public NodeControl(boolean suspensible, boolean skippable, boolean failover, int retryTime, int intervals,
        int timeout) {
        super();
        this.suspensible = suspensible;
        this.skippable = skippable;
        this.failover = failover;
        this.retryTime = retryTime;
        this.intervals = intervals;
        this.timeout = timeout;
    }

}
