package com.bocloud.cop.model;

import java.util.List;

/**
 * 目标机器分组，用来整体封装Linux和Windows类型的目标机器
 *
 * @author dmw
 */
public class TargetGroup {

    private List<WorkerHost> windows;

    private List<WorkerHost> linuxs;

    /**
     * @param windows
     * @param linuxs
     */
    public TargetGroup(List<WorkerHost> windows, List<WorkerHost> linuxs) {
        this.windows = windows;
        this.linuxs = linuxs;
    }

    /**
     *
     */
    public TargetGroup() {
        super();
    }

    /**
     * @return the windows
     */
    public List<WorkerHost> getWindows() {
        return windows;
    }

    /**
     * @param windows
     *            the windows to set
     */
    public void setWindows(List<WorkerHost> windows) {
        this.windows = windows;
    }

    /**
     * @return the linuxs
     */
    public List<WorkerHost> getLinuxs() {
        return linuxs;
    }

    /**
     * @param linuxs
     *            the linuxs to set
     */
    public void setLinuxs(List<WorkerHost> linuxs) {
        this.linuxs = linuxs;
    }
}
