package com.bocloud.cop.model;

import com.bocloud.cop.enums.TaskAction;

public class TaskActionMessage {

    private String taskId;

    private Long nodeId;// 任务节点的ID

    private String queue;// 任务操作（暂停，继续，取消）的结果队列

    private TaskAction action;

    /**
     * @return the taskId
     */
    public String getTaskId() {
        return taskId;
    }

    /**
     * @param taskId
     *            the taskId to set
     */
    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    /**
     * @return the action
     */
    public TaskAction getAction() {
        return action;
    }

    /**
     * @param action
     *            the action to set
     */
    public void setAction(TaskAction action) {
        this.action = action;
    }

    /**
     * @return the queue
     */
    public String getQueue() {
        return queue;
    }

    /**
     * @return the nodeId
     */
    public Long getNodeId() {
        return nodeId;
    }

    /**
     * @param nodeId
     *            the nodeId to set
     */
    public void setNodeId(Long nodeId) {
        this.nodeId = nodeId;
    }

    /**
     * @param queue
     *            the queue to set
     */
    public void setQueue(String queue) {
        this.queue = queue;
    }

    /**
     * @param taskId
     * @param jobRecordId
     * @param queue
     * @param action
     */
    public TaskActionMessage(String taskId, Long nodeId, String queue, TaskAction action) {
        this.taskId = taskId;
        this.nodeId = nodeId;
        this.queue = queue;
        this.action = action;
    }

    /**
     * 
     */
    public TaskActionMessage() {
        super();
    }

}
