package com.bocloud.cop.model;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.megatron.common.utils.DateSerializer;

import lombok.Data;

/**
 * 任务业务类
 * 
 * @author weiwei
 * @version 1.0
 * @since 2016.08.15
 * 
 */
@Data
public class TaskBean {

    private Long id; // ID
    private String name; // 名称
    private String remark; // 描述
    private Object graph;
    private String code; // 任务类型
    private String cron; // cron表达式
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date runTime;
    private Boolean isLoop;
    private String target;
    private Boolean emailEnabled;

}
