package com.bocloud.cop.model.params;

import com.megatron.common.utils.DateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class TaskTransferParams {

    private String cron;

    private Boolean isNew;

    private Boolean isLoop;

    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date runTime;
}
