package com.bocloud.cop.model.salt;

import lombok.Data;

/**
 * @author zoucg
 * @Company: 博云 www.bocloud.com
 * @ClassName: SaltModel
 * @Description:
 * @DATE: 2022/2/24
 */
@Data
public class SaltModel {

    private Long id;
    private String user;
    private String pswd;
    private String host;
    private Integer port;
    private String eauth;
    private String protocol;

    public SaltModel(Long id, String user, String pswd, String host, Integer port, String eauth, String protocol) {
        this.id = id;
        this.user = user;
        this.pswd = pswd;
        this.host = host;
        this.port = port;
        this.eauth = eauth;
        this.protocol = protocol;
    }

    public SaltModel() {}
}
