package com.bocloud.cop.intf;

import com.megatron.common.model.GeneralResult;
import com.bocloud.cop.model.params.ServerServiceManageParams;
import com.bocloud.cop.model.params.ServerServiceShellParams;

/**
 * 主机服务管理接口
 */
public interface ServerServiceMgtService {

    /**
     * 服务管理
     * 
     * @author sxp
     * @since Dec 29, 2017
     * @param params
     *            服务管理的参数
     * @param userId
     *            当前登录用户的唯一标识
     * @return 返回处理结果信息
     */
    GeneralResult<?> manage(ServerServiceManageParams params, Long userId);

    /**
     * 处理shell命令
     * 
     * @param params
     * @param userId
     * @return
     */
    GeneralResult<?> shell(ServerServiceShellParams params, Long userId);

}
