package com.bocloud.cop.intf.backup;

import com.bocloud.cop.entity.backup.TaskBackup;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

/**
 * @author huliwei
 * @date 2022/10/19
 */
public interface TaskBackupService {
    GeneralResult<GridBean<TaskBackup>> list(Pager pager, RequestContext context);
    GeneralResult<Void> create(TaskBackup task, RequestContext context);
    TaskBackup basic(Long id);
    GeneralResult<Void> remove(Long id, Long userId);
    GeneralResult<Void> operate(String action,  Long id , RequestContext requestContext);
    GeneralResult<String> addScheduleIfLeader(Long id , RequestContext context);
    GeneralResult<String> removeScheduleIfLeader(Long id);
    void onApplicationReadyEvent();
}
