package com.bocloud.cop.intf.network;

import java.util.List;

import com.megatron.common.model.GeneralResult;
import com.bocloud.cop.entity.NetworkGroup;

/**
 * Worker 分組
 */
public interface NetworkGroupService {

    GeneralResult<List<NetworkGroup>> list();

    GeneralResult<Void> create(NetworkGroup group);

    GeneralResult<NetworkGroup> detail(Long id);

    GeneralResult<Void> remove(Long id, Long userId);

    GeneralResult<Void> modify(NetworkGroup group);

}
