package com.bocloud.cop.intf.network;

import com.bocloud.cop.entity.TaskWorker;
import com.bocloud.cop.model.SaltMinionModel;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

import java.util.List;

/**
 * TaskWorker
 */
public interface TaskWorkerService {

    GeneralResult<GridBean<TaskWorker>> list(Pager pager);

    GeneralResult<Void> create(TaskWorker worker);

    GeneralResult<TaskWorker> detail(Long id);

    GeneralResult<Void> remove(Long id, Long userId);

    GeneralResult<Void> modify(TaskWorker worker);

    GeneralResult<Void> configure(Long workerId, Long groupId, Boolean isSuper);
    
    GeneralResult<Void> exclude(List<Long> workerIds, RequestContext context);

    GeneralResult<Void> recovery(List<Long> workerIds, RequestContext context);

    GeneralResult<List<SaltMinionModel>> minions(TaskWorker worker);

    GeneralResult<?> updateRemark(Long id,String remark,Long userId);
}
