package com.bocloud.cop.intf.patch;

import com.alibaba.fastjson.JSONObject;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import com.bocloud.cop.entity.*;
import com.bocloud.cop.entity.patch.PatchDeploy;

public interface PatchDeployService {

    GeneralResult<GridBean<PatchDeploy>> list(Pager pager, Long userId);

    GeneralResult<PatchDeploy> create(PatchDeploy patch, boolean isRun, Long userId);

    GeneralResult<Void> remove(Long id, Long userId);

    GeneralResult<PatchDeploy> modify(PatchDeploy patch, Long userId);

    GeneralResult<PatchDeploy> detail(Long id);

    GeneralResult<TaskInstance> run(Long id, RequestContext context);

    GeneralResult<Void> timing(JSONObject obj, Long userId, Long id);

    GeneralResult<Void> cancel(Long id, Long userId);

//    GeneralResult<List<SoftwareGroup>> listPatchs();
//
//    GeneralResult<List<Software>> listSoftwares(Long groupId);
//
//    GeneralResult<List<TaskTemplate>> listTemplates();

    GeneralResult<Void> updateStatus(Long id, String status, Long userId);

    GeneralResult<GridBean<TaskHost>> listInstallHost(Pager pager, Long patchId, Long userId);

}
