package com.bocloud.cop.intf.patch;

import java.util.List;

import com.bocloud.cop.entity.patch.Patch;
import com.bocloud.cop.model.StatResult;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

/**
 * @author zoucg
 * @Company: 博云 www.bocloud.com
 * @ClassName: PatchService
 * @Description:
 * @DATE: 2022/6/13
 */
public interface PatchService {

    // 列表
    GeneralResult<GridBean<Patch>> list(Pager pager, Long userId);

    // 创建
    GeneralResult<Patch> create(Patch Patch, Long userId);

    // 删除
    GeneralResult<Void> remove(Long id, Long userId);

    // 编辑
    GeneralResult<Patch> modify(Patch Patch, Long userId);

    // 详情
    GeneralResult<Patch> detail(Long id);

    // 发布/下架
    GeneralResult<Void> updateStatus(Long id, String status, Long userId);

    // 补丁统计
    GeneralResult<List<StatResult>> statsStatus(RequestContext context);

}
